{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Trigger a rule which uses an [\"incoming web request\"](/docs/incoming-web-requests) trigger.","properties":{"path":{"type":"object","properties":{"rule_trigger_gid":{"type":"string","examples":["12345"],"description":"The ID of the incoming web request trigger. This value is a path parameter that is automatically generated for the API endpoint."}},"required":["rule_trigger_gid"],"additionalProperties":false},"body":{"type":"object","properties":{"data":{"$ref":"#/definitions/RuleTriggerRequest"}}}},"required":["path","body"],"additionalProperties":false,"definitions":{"RuleTriggerRequest":{"type":"object","properties":{"resource":{"description":"The ID of the resource. For the duration of the beta, this resource is always a task, and this task must exist in the project in which the rule is created.","type":"string","examples":["12345"]},"action_data":{"type":"object","additionalProperties":true,"description":"The dynamic keys and values of the request. These fields are intended to be used in the action for the rule associated with this trigger.","examples":[{"jira_ticket_name":"Test","jira_ticket_id":"123"}]}},"required":["resource","action_data"]}}},"name":"Trigger a rule","id":"asana.triggerrule","example":{"path":{"rule_trigger_gid":"12345"},"body":{}},"maxRequests":1,"summary":false}}